Chat shares
Create Chat Share
Create a share link for a chat (authenticated)
Create a share link for a chat (authenticated)
X-API-Key<token>
Use X-API-Key: .
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/agents/string/chat-shares" \ -H "Content-Type: application/json" \ -d '{ "chatId": "string", "visibility": "public" }'{
"chatSessionId": "string",
"createdAt": "string",
"deletedAt": null,
"id": "string",
"token": "string",
"updatedAt": "string",
"visibility": "string"
}{
"cause": {
"code": "api/invalid-json",
"detail": "string"
},
"message": "The request body is not valid JSON"
}{
"cause": {
"code": "auth/jwt-invalid",
"detail": "malformed"
},
"message": "Token verification failed"
}{
"cause": {
"code": "api/no-active-team",
"detail": "You must have an active team. Please select a team to continue."
},
"message": "No active team"
}{
"cause": {
"code": "chat-share/session-not-found",
"detail": "No chat session found for this chat ID."
},
"message": "Chat session not found"
}{
"cause": {
"code": "api/unsupported-media-type",
"detail": "GET requests cannot have a content type header"
},
"message": "Unsupported Media Type"
}